Bug 223168 - facter can't determine hostname if "which" is not installed
facter can't determine hostname if "which" is not installed
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: facter (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lutterkort
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-17 23:40 EST by Jeffrey C. Ollie
Modified: 2013-04-30 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version: facter-1.3.5-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-18 14:56:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeffrey C. Ollie 2007-01-17 23:40:42 EST
Description of problem:
facter cannot determine hostname if "which" is not installed.

Version-Release number of selected component (if applicable):
facter-1.3.5-1.fc6

How reproducible:
always

Steps to Reproduce:
1. rpm -e which
2. facter 
  
Actual results:
# facter hostname domain
domain => search.other.com
hostname => 

(note that the domain is filled in from the DNS search path in /etc/resolv.conf)

Expected results:
# facter hostname domain
domain => example.com
hostname => hostname

Additional Info:
The facter package should require "which".
Comment 1 David Lutterkort 2007-01-18 14:56:51 EST
Fixed in facter-1.3.5-3

Note You need to log in before you can comment on or make changes to this bug.